Bug 689053

Summary: [abrt][reproducible] openoffice.org-writer-1:3.3.0-20.2.fc14: SwCrsrShell::GetBoxNms: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Jonathan <emailjonathananderson-fedora>
Component: openoffice.orgAssignee: Michael Stahl <mstahl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: caolanm, dtardon
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:cdc3a1fb6f223bd9a10a82789089cd3e729b31c8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-20 15:47:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Jonathan 2011-03-18 23:30:47 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 16272 bytes
cmdline: /usr/lib64/openoffice.org3/program/swriter.bin -writer file:///home/jonathan/Documents/PrivataDokument/Jobb/2011%20San%20Francisco/AnalyticRecruiting/Jonathan-Anderson-CL-GTeaman.odt
component: openoffice.org
Attached file: coredump, 134270976 bytes
crash_function: SwCrsrShell::GetBoxNms
executable: /usr/lib64/openoffice.org3/program/swriter.bin
kernel: 2.6.35.11-83.fc14.x86_64
package: openoffice.org-writer-1:3.3.0-20.2.fc14
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1300489929
uid: 500

How to reproduce
-----
1.moved aroung table in the footer
2.
3.

Comment 1 Jonathan 2011-03-18 23:30:49 UTC
Created attachment 486337 [details]
File: backtrace

Comment 2 David Tardon 2011-03-19 06:35:29 UTC
*** Bug 689054 has been marked as a duplicate of this bug. ***

Comment 3 David Tardon 2011-03-21 06:03:14 UTC
Cannot reproduce. Could you attach a sample document?

Comment 4 Jonathan 2011-03-21 06:33:35 UTC
I'm mailing you a sample document. It does contain some personal information so I'm not posting that public.

Comment 5 David Tardon 2011-03-21 09:27:04 UTC
How to reproduce:
1. create a new text document
2. press Enter
3. insert a table
4. go to the bottom right cell
5. press Ctrl+Shift+Del
6. go to the line before the table
7. press Ctrl+Shift+Del twice
8. press Ctrl+Z

I think the problem is that line 5 removes the empty line after the
table.

Comment 6 Jonathan 2011-03-21 16:50:19 UTC
The empty lines before and after tables could be handled more intuitively. I had a lot of problems learning to use the tables for layout, not including the crashes. Could it be possible to remove them with backspace / delete or something more common.

Comment 7 David Tardon 2011-03-22 05:23:54 UTC
(In reply to comment #6)
> The empty lines before and after tables could be handled more intuitively. I
> had a lot of problems learning to use the tables for layout, not including the
> crashes. Could it be possible to remove them with backspace / delete or
> something more common.

IIRC the document model requires that there be a paragraph after a table. So, on the contrary, it should not be possible to remove it at all :)

Comment 8 Jonathan 2011-03-22 05:54:19 UTC
Ok, I got your point, but don't you find that to be rather limiting for the layout? Or is it just me that is limited in my layout experience that want to use tables when there is better options?

Comment 9 Caolan McNamara 2011-06-10 09:20:37 UTC
Its like theres about 100 problems in this little area.

a) ctrl+shift+backspace is supposed to "delete to start of sentence" and it only works when there is > 1 char before the cursor.
b) ctrl+shift+backspace doesn't go backwards either into or over a table
c) alt+enter add paragraphs either before/after a table, but has no customization for keybinding
d) there is no corresponding alt+backspace/delete to remove paragraphs before/after a table
e) ctrl+shift+delete is sort of confused as well
f) and there are various crashes

Comment 10 Fedora End Of Life 2012-08-16 21:32:32 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Michael Stahl 2012-09-19 19:13:11 UTC
re-opening this:

so first the cursor is saved to the stack, then the current cursor is moved,
and then SwCrsrShell::Combine is called to make a selection.

the problem is here:

#0  SwCursor::RestoreSavePos (this=0x5098e58) at /sw/source/core/crsr/swcrsr.cxx:2065
#1  0x00007f0c9e02e7a8 in SwCursor::IsSelOvr (this=0x5098e58, eFlags=10) at /sw/source/core/crsr/swcrsr.cxx:424
#2  0x00007f0c9dffce5b in SwCrsrShell::Combine (this=0x49ff620) at /sw/source/core/crsr/crsrsh.cxx:2010
#3  0x00007f0c9ec282f7 in SwWrtShell::_FwdSentence (this=0x49ff620) at /sw/source/ui/wrtsh/wrtsh4.cxx:212
#4  0x00007f0c9ec15d78 in SwWrtShell::DelToEndOfSentence (this=0x49ff620) at /sw/source/ui/wrtsh/delete.cxx:481

IsSelOvr detects the problem that the point and mark are in different sections, one outside the table and one within, and tries to restore the saved position.

p *this
$8 = (SwShellCrsr) {
      <SwCursor> = {
              <SwPaM> = SwPaM = {
                        point = SwPosition (node 23, offset 0),
                              mark = SwPosition (node 20, offset 0)
                                  },
p *pSavePos
$9 = (_SwCursor_SavePos) {
      _vptr._SwCursor_SavePos = 0x7f0c9f4ca270,
        nNode = 23,
          nCntnt = 0,

however, the wrong position was saved in SwCrsrShell::Combine, hence the invalid cursor is not corrected.

fixed upstream master:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=af4b6c94c68b5f67b931cde8d0acda6ec8b288bb

Comment 12 Michael Stahl 2012-09-28 17:25:18 UTC
fix for this should be in next F17 upload 3.5.6.2-7

fix is in upstream libreoffice-3-6 for 3.6.3 as well:
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6&id=6bcbf68b29b609cf06dbea0e192533e11eb523c3

Comment 13 Fedora Update System 2012-10-05 05:30:00 UTC
libreoffice-3.5.7.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-2.fc17

Comment 14 Fedora Update System 2012-10-06 03:50:49 UTC
Package libreoffice-3.5.7.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.7.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15506/libreoffice-3.5.7.2-2.fc17
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2012-12-20 15:47:32 UTC
libreoffice-3.5.7.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.